@extends('layouts.master-2')

@section('navigation')
    @if (Auth::user()->role == 1)
        @include('local.managers.admins._navigation')
    @elseif(Auth::user()->role == 2)
        @include('local.managers.sCoords._new_navigation')
    @elseif(Auth::user()->role == 3)
        @include('local.managers.pCoords._new_navigation')
    @elseif(Auth::user()->role == 4)
        @include('local.professors._navigation')
    @endif
@stop
@section('main')

    {{-- TODO: look where to place this script.
          if placed inside .ready() or before it,
            an error that the function is not defined occurs. --}}
    {{-- TODO: no reconoce acentos --}}


    <div class="row">



        <div class="col-md-12">
            <div class="table-responsive table-responsive-0">
                <table class="table table-striped table-condensed datatable">
                    <thead id="theHead">
                        <tr>
                            <th>Annual Cycle</th>
                            <th>PDF Name</th>
                            <th>User who submitted</th>
                            <th>Date Submitted </th>
                            <th>New Version</th>
                            <th>Download</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($paths_with_users as $info)
                            <tr>
                                <td> {{ $info->academic_year }}</td>
                                <td> <a
                                        href="{{ URL::action('AnnualPlansController@downloadPDF', ['print', $info->path_id]) }}">
                                        {{ basename($info->path_to_pdf) }}
                                        <span class="glyphicon glyphicon-eye-open"></span>

                                </td>
                                <td> {{ $info->surnames . ', ' . $info->first_name }}</td>
                                <td>
                                    {{ $info->date_posted }}
                                </td>
                                <td>
                                    @if ($info->last == 1)
                                        <span class="glyphicon glyphicon-ok"></span>
                                    @endif
                                </td>
                                <td>
                                    <a type="button" class="btn btn-primary"
                                        href="{{ URL::action('AnnualPlansController@downloadPDF', ['download', $info->path_id]) }}">
                                        Download
                                        <span class="glyphicon glyphicon-download-alt"></span>
                                    </a>
                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>



    </div>








@stop

@section('included-js')
    @include('global._datatables_js')
@stop
